`include "pllstick.v"
`include "system.v"

module main(
	input  CLKIN, 
	output TXD, 
	input  RXD, 
	output [4:0]LED,

	input  MISO,
	output MOSI,
	output SCK,
	output SSB,
		
	output SND1,
	output SND2

);

assign XBHE=0;
assign XBLE=0;
assign PWM=0;
assign SSBF=1;

wire clk,pll_lock;
//-- PLL instance
pll
  pll1(
	.clock_in(CLKIN),
	.clock_out(clk),
	.locked(pll_lock)
	);

// Reset
reg [19:0]cres=20'h0;
always @(posedge CLKIN) cres<=cres[19]?cres:cres+1;
assign resb=cres[19];

SYSTEM sys0( .clkin(clk), .reset( ~resb), .txd(TXD), .rxd(RXD),
			 .sck(SCK), .mosi(MOSI), .miso(MISO), .cs(SSB),
			 .sdout1(SND1), .sdout2(SND2),
			 .leds(LED)
);


endmodule


