//-------------------------------------------------------------------
//-------------------------------------------------------------------

`include "system.v"
module tb();

//-- Registros con señales de entrada
reg clk;
reg reset;
reg rxd;
wire txd;

//-- Instanciamos 
SYSTEM sys0 ( .clkin(clk), .reset(reset), .rxd(rxd), .txd(txd) );

// Reloj periódico
always #5 clk=~clk;

//-- Proceso al inicio
initial begin
	//-- Fichero donde almacenar los resultados
	$dumpfile("tb.vcd");
	$dumpvars(0, tb);
	reset = 1; clk=0; rxd=1;
	#80 reset = 0;
	
	#2170	rxd=0; // start
	#2170	rxd=1;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=1;
	#2170	rxd=0;
	//#2170	rxd=0; // Parity EVEN
	#2170	rxd=1; // Stop

	#2170	rxd=0; // start
	#2170	rxd=0;
	#2170	rxd=1;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=0;
	#2170	rxd=1;
	#2170	rxd=0;
	//#2170	rxd=1; // Parity ODD
	#2170	rxd=1; // Stop



	//# 319 $display("FIN de la simulacion");
	# 100000 $finish;
	//# 1000 $finish;
end



endmodule


